Export

POST /production/{prId}/mo/{moId}/subtitle/{language}/{presetId}/export

Creates an export workflow that will generate the subtitle file which can be downloaded as part of the workflow resources.

Details
Description
Parameters
Path Parameters
Name Description Required Type

prId

ID of the production.

✔

Long

moId

ID of the media object.

✔

Long

language

The language code of the subtitle.

✔

String

presetId

ID of the subtitle preset.

✔

String

Body Parameters
Name Description Required Type

SubtitleExportRequest

Form body containing parameters for the subtitling request.

✘

SubtitleExportRequest

SubtitleExportRequest

Field Name Required Type Description Format

disclaimers

✘

List of DisclaimerConfiguration

Disclaimers can be used to add additional subtitles containing the disclaimers.

downloadName

✘

String

The filename to use. It is best to omit the extension, it will be added automatically.

ebuDisplayStandardCode

✘

Integer

For subtitle_ebustl exportType.

int32

ebuStlLanguageCode

✘

String

For subtitle_ebustl exportType. Setting the language code (iso 639-1 standard).

ebuStlMarginBottom

✘

Integer

For subtitle_ebustl exportType. Bottom margin.

int32

ebuStlMarginTop

✘

Integer

For subtitle_ebustl exportType. Top margin.

int32

ebuStlTeletextDoubleHeight

✘

Boolean

For subtitle_ebustl exportType. Use double height for text (teletext export only).

ebuStlTeletextUseBox

✘

Boolean

For subtitle_ebustl exportType. Introduce a box around the text (teletext export only).

ebuStlTextJustification

✘

String

For subtitle_ebustl exportType. The text justification (`unchanged`, `left`, `centered`, `right`).

format

✘

String

The export format of the subtitle file. Should be one of ebustl, ebuttd, webvtt or srt.

includeColorCodes

✘

Boolean

Export with color tags.

profile

✘

String

The export profile of the subtitle file. Used with format ebustl to denote: ebu-tt-d, ebu-tt.

timeBase

✘

String

Set to 'smpte' for SMPTE time and to 'media' for time relative to start of video.

Return Type

AsyncResponse

Field Name Required Type Description Format

expectedResult

✘

Date

date-time

href

✘

String

hrefs

✘

Map of Href

location

✘

URI

uri

objectType

✘

String

productionId

✘

Long

int64

workflowId

✘

String

Content Type
  • /

Responses
Table 1. http response codes
Code Description Datatype

201

The request was successful and the generation has started.

AsyncResponse

400

Bad request.

``

404

The production or any of the referenced objects were not found.

``

The body of the request is a JSON object with the following properties:

Property Description

format

The export format of the subtitle file. Should be one of ebustl, ebuttd, webvtt or srt.

downloadName

The filename to use. It is best to omit the extension, it will be added automatically.

timeBase

Set to 'smpte' for SMPTE time and to 'media' for time relative to the start of video.

timeBase Description

media

Use media time hh:mm:ss,xxx (hours, minutes, seconds, milliseconds).

This does not include the clip offset. So if the media starts at 10:00:00:00, the timecodes in the subtitle export will still be 0-based, relative to the start of the clip.

smpte

Use SMPTE time.

This includes the clip offset. So if the media starts at 10:00:00:00, the subtitles will as well.

includeColorCodes

Include color codes in export.

disclaimers

Disclaimers can be used to add additional subtitles containing the disclaimers.

The following properties are specific for export to the stl format:

Property Description Default

ebuDisplayStandardCode

Choice between Teletext or Open captions export. Teletext will then allow color export with characters per line limitations, while open captions allow for italics, bold, etc. and without explicit character limits. This is (largely) enforced by the STL export code.

Display Standard Code Display Standard

0

Open Subtitling

1

Level-1 Teletext

2

Level-2 Teletext

1

ebuStlMarginBottom

Margin on bottom.

0

ebuStlMarginTop

Margin on top.

0

ebuStlTeletextUseBox

Introduce a box around the text (teletext export only).

false

ebuStlTeletextDoubleHeight

Use double height for text (teletext export only).

false

ebuStlTextJustification

The text justification (unchanged, left, centered, right).

unchanged

ebuStlLanguageCode

Setting the language code (iso 639-1 standard).

Defaults to the language of the subtitle

The export call mentioned above will return a JSON object with a workflowId field. The workflowId gives you a reference to the workflow that was started.

To learn how to wait for this workflow to complete, see this page.

Once the workflow has completed, the workflow report will have a location field containing the url where the subtitle export file can be downloaded.